bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz33476.
bzimport created this task.Via LegacyJan 2 2012, 9:44 PM
Reedy added a comment.Via ConduitJan 2 2012, 11:36 PM

I'm guessing this might resolve itself in a few days

Currently seems to be over 90,000 jobs in the job queue. Which begs the question of whether the job queue monitoring is still reporting, and for how long has this been backing up (damn not having an insert timestamp!)

bzimport added a comment.Via ConduitJan 3 2012, 2:46 AM

mattbisanz wrote:

I understand how the job queue relates to the rename and many developers in the past have said to wait out the queue, but somehow it never fixes itself.

bzimport added a comment.Via ConduitJan 3 2012, 3:04 AM

john wrote:

Reedy is in the process of investigating the job queue issues, him and/or ops will be looking at it more tomorrow.

Reedy added a comment.Via ConduitJan 3 2012, 3:46 PM

It might still not fix itself, but there is/was a job queue issue [1]. Look at the graph for the last week/last month, it's slowly been building up. Similar will have occurred for other wikis, though, probably nowhere near the same extent

Roan has restarted a few stuck job runners, and this seems to be now processing through the queue

The job queue itself is not guaranteed to run a job (there's a bug logged about that), but it should do at least some of it. Hence, with the noted growth over the last week (time of rename), there's no point putting any effort into directly fixing the symptoms till the cause had been fixed.

It seems to be doing around 10k jobs an hour now, so after 8 or 9 hours (and make sure the queue is nearly [or totally] empty), if it's still an issue, this can be investigated further. Certainly at this point, there's no reason for anyone to believe the rename won't happen with the job queue batch processing now occurring


Reedy added a comment.Via ConduitJan 4 2012, 2:03 PM

Ok, what's the current state of this? The user contribs are now showing just over 5000 edits, so looks like it has been sorted out, or at least, most of it has been

Add Comment